Namespace Controlador

    ''' <summary>
    ''' Clase que contiene los métodos que acceden a la base de datos para obtener crear y modificar registros
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Public Class ControladorPatrocinadorCompeticion

        ''' <summary>
        ''' Variable con la conexión de base de datos que utilizamos
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private objModel As New dbConnection

        ''' <summary>
        ''' Método que realiza el guardado de un registro
        ''' </summary>
        ''' <param name="idComp">Id de la competición a relacionar</param>
        ''' <param name="idPatro">Id del patrocinador a relacionar</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Public Sub Guardar(ByVal idComp As Integer, ByVal idPatro As Integer)
            Try
                Dim objPC As New PATROCINADOR_COMPETICION
                With objPC
                    .ID_COMPETICION = idComp
                    .ID_PATROCINADOR = idPatro
                    .DS_USUALTA = Utilidad.GetSession().DS_LOGIN
                End With
                objModel.AddToPATROCINADOR_COMPETICION(objPC)
                objModel.SaveChanges()
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

        ''' <summary>
        ''' Método que realiza el borrado de un registro
        ''' </summary>
        ''' <param name="idComp">Id de la competición relacionada</param>
        ''' <param name="idPatro">Id del patrocinador relacionada</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Public Sub Borrar(ByVal idComp As Integer, ByVal idPatro As Integer)
            Try
                Dim objPC As PATROCINADOR_COMPETICION = (From p In objModel.PATROCINADOR_COMPETICION Where p.ID_COMPETICION = idComp And p.ID_PATROCINADOR = idPatro Select p).FirstOrDefault
                objModel.DeleteObject(objPC)
                objModel.SaveChanges()
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

    End Class

End Namespace