Imports Maraton.Admin.Controlador

Namespace UI.Centros

    ''' <summary>
    ''' Pantalla de consulta de centros
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class ConsultarCentrosUI

        ''' <summary>
        ''' Método que realiza la carga del grid
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub BindGrid()
            Try
                Dim ctrlCentro As New ControladorCentro
                gdDatos.ItemsSource = ctrlCentro.LoadByFilter(txtNombre.Text)
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub ConsultarCentrosUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub txtNombre_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtNombre.TextChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_CENTRO As Integer = CType(gdDatos.SelectedItem, CENTRO).ID_CENTRO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarCentroUI(iD_CENTRO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVer_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVer.Click
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_CENTRO As Integer = CType(gdDatos.SelectedItem, CENTRO).ID_CENTRO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New VerCentroUI(iD_CENTRO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub gdDatos_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles gdDatos.MouseDoubleClick
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_CENTRO As Integer = CType(gdDatos.SelectedItem, CENTRO).ID_CENTRO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New VerCentroUI(iD_CENTRO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnNuevo_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnNuevo.Click
            Try
                CType(Application.Current.MainWindow, Main).contenido.Navigate(New CrearCentroUI())
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

#End Region

    End Class

End Namespace