Imports Maraton.Admin.Controlador
Imports System.Threading
Imports System.IO
Imports System.Windows.Controls

Namespace UI.Centros

    ''' <summary>
    ''' Pantalla de visualización de un centro
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerCentroUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador del centro asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_CENTRO As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador del centro así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_CENTRO As Integer)
            _iD_CENTRO = iD_CENTRO
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga del centro 
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlCentro As New ControladorCentro
                Dim objCentro As New CENTRO
                objCentro = objCtrlCentro.LoadByPK(_iD_CENTRO)
                With objCentro
                    txtNombre.Text = .DS_TITULO
                    txtDescripcion.Text = .DS_CENTRO
                    txtDireccion.Text = .DS_DIRECCION
                    txtTelefono.Text = .DS_TELEFONO
                    txtCorreo.Text = .DS_EMAIL
                    dpFecBaja.Text = .DT_FECBAJA.ToString
                    If Not (.GO_LATITUD Is Nothing Or .GO_LONGITUD Is Nothing) Then
                        imgUbicacion.Source = Google.ShowMapUsingLatLng(.GO_LATITUD, .GO_LONGITUD)
                    End If
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarCentroUI(_iD_CENTRO))
        End Sub

        Private Sub VerCentroUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

#End Region

    End Class

End Namespace