Imports Maraton.Admin.Controlador

Namespace UI.Comentarios

    ''' <summary>
    ''' Pantalla de consulta de comentarios  
    ''' Contiene propiedades para acceder a los controles
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class ConsultarComentariosUI

        Private _Nombre As String

        Public Property Nombre() As String
            Get
                Return _Nombre
            End Get
            Set(ByVal value As String)
                _Nombre = value
            End Set
        End Property

        ''' <summary>
        ''' Método que realiza la carga del grid
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub BindGrid()
            Try
                Dim ctrlCom As New ControladorComentario
                Dim lista As List(Of COMENTARIO) = ctrlCom.LoadByFilter(txtDescripcion.Text, CInt(cbUsuario.SelectedValue))
                For C As Integer = 0 To lista.Count - 1
                    Nombre = lista(C).USUARIOReference.Value.DS_NOMBRE & " " & lista(C).USUARIOReference.Value.DS_APELLIDO1 & _
                            " " & lista(C).USUARIOReference.Value.DS_APELLIDO2
                Next
                gdDatos.ItemsSource = lista
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub ConsultarComentariosUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                Dim objCtrlUsuarios As New Controlador.ControladorUsuario
                objCtrlUsuarios.CargarCBUsuarios(cbUsuario, False)
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub txtDescripcion_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtDescripcion.TextChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub cbUsuario_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles cbUsuario.SelectionChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVer_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVer.Click
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_COMENTARIO As Integer = CType(gdDatos.SelectedItem, COMENTARIO).ID_COMENTARIO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New VerComentarioUI(iD_COMENTARIO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub gdDatos_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles gdDatos.MouseDoubleClick
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_COMENTARIO As Integer = CType(gdDatos.SelectedItem, COMENTARIO).ID_COMENTARIO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New VerComentarioUI(iD_COMENTARIO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

#End Region

    End Class

End Namespace