Imports Maraton.Admin.Controlador
Imports System.Windows.Controls

Namespace UI.Comentarios

    ''' <summary>
    ''' Pantalla de visualización de un comentario
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerComentarioUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador del comentario asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_COMENTARIO As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador del comentario así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_COMENTARIO As Integer)
            _iD_COMENTARIO = iD_COMENTARIO
            InitializeComponent()
        End Sub

#Region "Eventos"

        Private Sub VerComentarioUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

        Private Sub btnBaja_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnBaja.Click
            Try
                Dim objCtrlComentario As New ControladorComentario
                objCtrlComentario.Guardar(_iD_COMENTARIO, True)
                chbActivo.IsChecked = False
                dpFecBaja.Text = Now.ToShortDateString
                MensajeInfo("msg_guardado_ok")
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

        Private Sub btnValidar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnValidar.Click
            Try
                Dim objCtrlComentario As New ControladorComentario
                objCtrlComentario.Guardar(_iD_COMENTARIO, False)
                chbActivo.IsChecked = True
                dpFecBaja.Text = String.Empty
                MensajeInfo("msg_guardado_ok")
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#End Region

        ''' <summary>
        ''' Método que realiza la carga del comentario
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlComentario As New ControladorComentario
                Dim objCom As New COMENTARIO
                objCom = objCtrlComentario.LoadByPK(_iD_COMENTARIO)
                With objCom
                    chbActivo.IsChecked = CBool(.BO_ACTIVO)
                    txtComentario.Text = .DS_COMENTARIO
                    dpFecBaja.Text = .DT_FECBAJA.ToString
                    dpFecha.Text = .DT_FECHA.ToString
                    txtUsuario.Text = .USUARIO.DS_NOMBRE & " " & .USUARIO.DS_APELLIDO1 & " " & .USUARIO.DS_APELLIDO2
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub
        
    End Class

End Namespace