Imports Maraton.Admin.UI.Patrocinadores
Imports Maraton.Admin.Controlador
Imports System.Windows.Controls

Namespace UI.Competiciones

    ''' <summary>
    ''' Pantalla de consulta de patrocinadores de una competición
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class ConsultarCompPatroUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador de la competición asociada a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_COMPETICION As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador de competición así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_COMPETICION As Integer)
            _iD_COMPETICION = iD_COMPETICION
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga del grid
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub BindGrid()
            Try
                Dim ctrlPatro As New ControladorPatrocinador
                gdDatos.ItemsSource = ctrlPatro.LoadByFilterCompAsoc(txtNombre.Text, _iD_COMPETICION)
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub ConsultarPatrocinadoresUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                Dim ctrl As New ControladorCompeticion
                lblCompeticion.Content = ctrl.LoadByPK(_iD_COMPETICION).DS_TITULO
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub txtNombre_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtNombre.TextChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVer_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVer.Click
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_PATROCINADOR As Integer = CType(gdDatos.SelectedItem, VW_PATROCINADOR_COMPETICION).ID_PATROCINADOR
                    Dim frame As VerPatrocinadorUI = New VerPatrocinadorUI(iD_PATROCINADOR)
                    frame.btnModificar.IsEnabled = False
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(frame)
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub gdDatos_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles gdDatos.MouseDoubleClick
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_PATROCINADOR As Integer = CType(gdDatos.SelectedItem, VW_PATROCINADOR_COMPETICION).ID_PATROCINADOR
                    Dim frame As VerPatrocinadorUI = New VerPatrocinadorUI(iD_PATROCINADOR)
                    frame.btnModificar.IsEnabled = False
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(frame)
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

#End Region

    End Class

End Namespace