Imports Maraton.Admin.Controlador
Imports System.Windows.Controls
Imports System.IO
Imports System.Text
Imports System.Reflection

Namespace UI.Competiciones

    ''' <summary>
    ''' Pantalla de visualización de una competición
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerCompeticionUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador de la competición asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_COMPETICION As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador de la competición así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_COMPETICION As Integer)
            _iD_COMPETICION = iD_COMPETICION
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga de la comepetición
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlCompeticion As New ControladorCompeticion
                Dim objCompeticion As New COMPETICION
                objCompeticion = objCtrlCompeticion.LoadByPK(_iD_COMPETICION)
                With objCompeticion
                    txtNombre.Text = .DS_TITULO
                    txtDescripcion.Text = .DS_COMPETICION
                    dpFecha.Text = .DT_FECHA.ToString
                    If Not .OB_RECORRIDO Is Nothing Then
                        txtRecorrido.Text = MensajeResource("msg_recorrido_cargado")

                        'Dim fName = AppDomain.CurrentDomain.BaseDirectory & .ID_COMPETICION.ToString & ".kml"
                        'Dim objWriter As New StreamWriter(fName)
                        'objWriter.Write(.OB_RECORRIDO)
                        'objWriter.Close()

                        'Dim contenido As String = File.ReadAllText("../../UI/Maps.html")
                        'contenido = contenido.Replace("[fichero]", fName.Replace("\", "/"))
                        'Dim kml As String = .OB_RECORRIDO

                        'kml = kml.Replace("""", """""")
                        'kml = kml.Replace("'", "")
                        'kml = kml.Replace(vbCrLf, "")
                        'kml = kml.Replace("|", "</br>")

                        'contenido = contenido.Replace("[fichero]", kml)
                        'wbContent.NavigateToString(contenido)
                        'wbContent.Visibility = Visibility.Visible

                    'Else
                        'wbContent.Visibility = Visibility.Hidden
                    End If
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub VerCompeticionUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                'wbContent.Visibility = Windows.Visibility.Hidden
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            Try
                CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarCompeticionUI(_iD_COMPETICION))
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnPatrocinador_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnPatrocinador.Click
            Try
                CType(Application.Current.MainWindow, Main).contenido.Navigate(New ConsultarCompPatroUI(_iD_COMPETICION))
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        'Private Sub wbContent_Navigated(ByVal sender As Object, ByVal e As System.Windows.Navigation.NavigationEventArgs) Handles wbContent.Navigated
        '    Dim fiComWebBrowser As FieldInfo = GetType(WebBrowser).GetField("_axIWebBrowser2", BindingFlags.Instance Or BindingFlags.NonPublic)
        '    If fiComWebBrowser Is Nothing Then
        '        Return
        '    End If
        '    Dim objComWebBrowser As Object = fiComWebBrowser.GetValue(wbContent)
        '    If objComWebBrowser Is Nothing Then
        '        Return
        '    End If
        '    objComWebBrowser.[GetType]().InvokeMember("Silent", BindingFlags.SetProperty, Nothing, objComWebBrowser, New Object() {True})
        'End Sub

#End Region

    End Class

End Namespace