Imports Maraton.Admin.UTIL.Utilidad
Imports Maraton.Admin.Controlador
Imports System.IO
Imports System.Windows.Controls

Namespace UI.Instalaciones

    ''' <summary>
    ''' Pantalla de visualización de una instalación
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerInstalacionUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador de la instalación asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_INSTALACION As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador de la instalación así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_INSTALACION As Integer)
            _iD_INSTALACION = iD_INSTALACION
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga de la instalación
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlInstalacion As New ControladorInstalacion
                Dim objInstalacion As New INSTALACION
                objInstalacion = objCtrlInstalacion.LoadByPK(_iD_INSTALACION)
                With objInstalacion
                    txtNombre.Text = .DS_TITULO
                    txtDescripcion.Text = .DS_INSTALACION
                    dpFecBaja.Text = .DT_FECBAJA.ToString
                    cbCentro.SelectedValue = .CENTROReference.Value.ID_CENTRO
                    If .OB_IMAGEN Is Nothing Then
                        imgInstalacion.Source = Nothing
                    Else
                        Dim data As Byte() = CType(.OB_IMAGEN, Byte())
                        Dim strm As New MemoryStream()
                        strm.Write(data, 0, data.Length)
                        strm.Position = 0
                        Dim img As System.Drawing.Image = System.Drawing.Image.FromStream(strm)
                        Dim bi As New BitmapImage
                        bi.BeginInit()
                        Dim ms As New MemoryStream
                        img.Save(ms, System.Drawing.Imaging.ImageFormat.Bmp)
                        ms.Seek(0, SeekOrigin.Begin)
                        bi.StreamSource = ms
                        bi.EndInit()
                        imgInstalacion.Source = bi
                    End If
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub VerInstalacionUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                Dim objCtrlCentros As New Controlador.ControladorCentro
                objCtrlCentros.CargarCBCentros(cbCentro, False)
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            Try
                CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarInstalacionUI(_iD_INSTALACION))
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

#End Region

    End Class

End Namespace