Imports Maraton.Admin.Controlador
Imports System.Windows.Controls

Namespace UI.Ofertas

    ''' <summary>
    ''' Pantalla de visualización de una oferta
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerOfertaUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador de la oferta asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_OFERTA As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador de la oferta así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_OFERTA As Integer)
            _iD_OFERTA = iD_OFERTA
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga de la oferta
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlOferta As New ControladorOferta
                Dim objOferta As New OFERTA
                objOferta = objCtrlOferta.LoadByPK(_iD_OFERTA)
                With objOferta
                    txtNombre.Text = .DS_TITULO
                    txtDescripcion.Text = .DS_OFERTA
                    dpFecBaja.Text = .DT_FECBAJA.ToString
                    cbCentro.SelectedValue = .CENTROReference.Value.ID_CENTRO
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub VerOfertaUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                Dim objCtrlCentros As New Controlador.ControladorCentro
                objCtrlCentros.CargarCBCentros(cbCentro, False)
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            Try
                CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarOfertaUI(_iD_OFERTA))
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

#End Region

    End Class

End Namespace