Imports Maraton.Admin.Controlador
Imports System.IO
Imports System.Windows.Controls

Namespace UI.Premios

    ''' <summary>
    ''' Pantalla de visualización de un premio
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerPremioUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador del premio asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_PREMIO As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador del premio así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_PREMIO As Integer)
            _iD_PREMIO = iD_PREMIO
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga del premio
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlPremio As New ControladorPremio
                Dim objPremio As New PREMIO
                objPremio = objCtrlPremio.LoadByPK(_iD_PREMIO)
                With objPremio
                    txtNombre.Text = .DS_TITULO
                    txtDescripcion.Text = .DS_PREMIO
                    dpFecha.Text = .DT_FECHA.ToString
                    If .OB_PREMIO Is Nothing Then
                        imgPremio.Source = Nothing
                    Else
                        Dim data As Byte() = CType(.OB_PREMIO, Byte())
                        Dim strm As New MemoryStream()
                        strm.Write(data, 0, data.Length)
                        strm.Position = 0
                        Dim img As System.Drawing.Image = System.Drawing.Image.FromStream(strm)
                        Dim bi As New BitmapImage
                        bi.BeginInit()
                        Dim ms As New MemoryStream
                        img.Save(ms, System.Drawing.Imaging.ImageFormat.Bmp)
                        ms.Seek(0, SeekOrigin.Begin)
                        bi.StreamSource = ms
                        bi.EndInit()
                        imgPremio.Source = bi
                    End If
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub VerPremioUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarPremioUI(_iD_PREMIO))
        End Sub

#End Region

    End Class

End Namespace