Imports Maraton.Admin.UTIL.Mensaje
Imports Maraton.Admin.Exceptions
Imports Maraton.Admin.UTIL.Log
Imports System.Threading

Namespace UI


    ''' <summary>
    ''' Pantalla de reseteo de la contraseña para un usuario 
    ''' Contiene propiedades para acceder a los controles y controlar si son obligatorios
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Class RecuperarPass

#Region "Propiedades"

        Public ReadOnly Property Login() As String
            Get
                If String.IsNullOrWhiteSpace(txtLogin.Text) Then
                    Validacion.MarcarCampos(lblLogin, txtLogin)
                    Throw New RequiredFieldException()
                Else
                    Validacion.DesmarcarCampos(lblLogin, txtLogin)
                    Return txtLogin.Text
                End If
            End Get
        End Property

#End Region

#Region "Eventos"

        Private Sub btnAceptar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnAceptar.Click
            Try
                Dim objCtrlUsu As New Controlador.ControladorUsuario
                Dim objUsu As New USUARIO
                objUsu = objCtrlUsu.LoadByLogin(txtLogin.Text)
                If objUsu Is Nothing Then
                    MensajeError("msg_login_no_existe")
                    LogWarn("log_usuario_intento_reseteo", "%1", Login)
                Else
                    Utilidad.EnviarCorreo(objUsu)
                    MensajeInfo("label_pass_mail_envio")
                    Dim frmLogin As New UI.Login
                    frmLogin.Activate()
                    frmLogin.Show()
                    Me.Close()
                    LogInfo("log_usuario_reseteo", "%1", Login)
                End If
            Catch rVEx As Exceptions.RequiredFieldException
                MensajeError(rVEx.ToString)
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub Login_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            txtLogin.Focus()
        End Sub

        Private Sub btnCancelar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnCancelar.Click
            Dim frmLogin As New UI.Login
            frmLogin.Activate()
            frmLogin.Show()
            Me.Close()
        End Sub

#End Region

    End Class

End Namespace