Imports Maraton.Admin.Controlador

Namespace UI.Usuarios

    ''' <summary>
    ''' Pantalla de consulta de usuarios
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class ConsultarUsuariosUI

        ''' <summary>
        ''' Método que realiza la carga del grid
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub BindGrid()
            Try
                Dim ctrlUsu As New ControladorUsuario
                Dim lista As List(Of USUARIO) = ctrlUsu.LoadByFilter(CInt(cbCentro.SelectedValue), txtNombre.Text, txtApellido1.Text, txtApellido2.Text)
                Dim tipo As String 
                For C As Integer = 0 To lista.Count - 1
                    If lista(C).CENTROReference.Value Is Nothing Then
                        tipo = MensajeResource("label_usuario")
                    Else
                        tipo = MensajeResource("label_personal")
                    End If
                    lista(C).DS_LOGIN = tipo
                Next
                gdDatos.ItemsSource = lista
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub ConsultarUsuariosUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                Dim objCtrlCentros As New Controlador.ControladorCentro
                objCtrlCentros.CargarCBCentros(cbCentro, False)
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub cbCentro_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles cbCentro.SelectionChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub txtNombre_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtNombre.TextChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub txtApellido1_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtApellido1.TextChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub txtApellido2_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles txtApellido2.TextChanged
            Try
                BindGrid()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_USUARIO As Integer = CType(gdDatos.SelectedItem, USUARIO).ID_USUARIO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarUsuarioUI(iD_USUARIO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnVer_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVer.Click
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_USUARIO As Integer = CType(gdDatos.SelectedItem, USUARIO).ID_USUARIO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New VerUsuarioUI(iD_USUARIO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub gdDatos_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles gdDatos.MouseDoubleClick
            Try
                If gdDatos.SelectedItems.Count <> 1 Then
                    MensajeWarn("msg_grid_seleccioneRegistro")
                Else
                    Dim iD_USUARIO As Integer = CType(gdDatos.SelectedItem, USUARIO).ID_USUARIO
                    CType(Application.Current.MainWindow, Main).contenido.Navigate(New VerUsuarioUI(iD_USUARIO))
                End If
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnNuevo_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnNuevo.Click
            Try
                CType(Application.Current.MainWindow, Main).contenido.Navigate(New CrearUsuarioUI())
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

#End Region

    End Class

End Namespace