Imports Maraton.Admin.Controlador
Imports System.Windows.Controls

Namespace UI.Usuarios

    ''' <summary>
    ''' Pantalla de visualización de un usuario
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class VerUsuarioUI

        ''' <summary>
        ''' Atributo privado que contiene el identificador del usuario asociado a los datos de la pantalla
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private _iD_USUARIO As Integer

        ''' <summary>
        ''' Constructor de la clase que inicializa el identificador del usuario así como los componentes
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Sub New(ByVal iD_USUARIO As Integer)
            _iD_USUARIO = iD_USUARIO
            InitializeComponent()
        End Sub

        ''' <summary>
        ''' Método que realiza la carga del usuario
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 10/06/2013
        ''' </remarks>
        Private Sub CargarRegistro()
            Try
                Dim objCtrlUsuario As New ControladorUsuario
                Dim objUsuario As New USUARIO
                objUsuario = objCtrlUsuario.LoadByPK(_iD_USUARIO)
                With objUsuario
                    txtNombre.Text = .DS_NOMBRE
                    txtApellido1.Text = .DS_APELLIDO1
                    txtApellido2.Text = .DS_APELLIDO2
                    txtLogin.Text = .DS_LOGIN
                    txtEdad.Text = .EN_EDAD.ToString
                    txtCorreo.Text = .DS_EMAIL
                    If .CH_SEXO.Equals("H") Then
                        rbHombre.IsChecked = True
                    Else
                        rbMujer.IsChecked = True
                    End If
                    dpFecBaja.Text = .DT_FECBAJA.ToString
                    If .CENTROReference.Value Is Nothing Then
                        cbCentro.SelectedValue = 0
                    Else
                        cbCentro.SelectedValue = .CENTROReference.Value.ID_CENTRO
                    End If
                End With
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#Region "Eventos"

        Private Sub VerUsuarioUI_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Try
                Dim objCtrlCentros As New Controlador.ControladorCentro
                objCtrlCentros.CargarCBCentros(cbCentro, False)
                CargarRegistro()
            Catch ex As Exception
                LogError(ex)
            End Try
        End Sub

        Private Sub btnModificar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnModificar.Click
            CType(Application.Current.MainWindow, Main).contenido.Navigate(New ModificarUsuarioUI(_iD_USUARIO))
        End Sub

        Private Sub btnVolver_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnVolver.Click
            Dim marco As Frame = CType(Application.Current.MainWindow, Main).contenido
            If marco.NavigationService.CanGoBack Then
                marco.NavigationService.GoBack()
            Else
                marco.Content = Nothing
                CType(Application.Current.MainWindow, Main).logo.Visibility = Windows.Visibility.Visible
            End If
        End Sub

#End Region

    End Class

End Namespace