﻿Imports System.Text.RegularExpressions
Imports System.Security.Cryptography
Imports System.Windows.Controls
Imports System.Windows.Input
Imports System.Configuration
Imports System.Net.Mail
Imports System.Net

Namespace UTIL

    ''' <summary>
    ''' Clase que contiene los métodos de validación para los datos que introduce el usuario
    ''' así como los que aplican el estilo en función de si cumplen la validación o nó
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 30/05/2013
    ''' </remarks>
    Public Class Utilidad

#Region "Constantes privadas"

        ''' <summary>
        ''' Constante que guarda el usuario automático que resetea la contraseña
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared USUARIO_ADM As String = "USU_ADM"

        ''' <summary>
        ''' Constante que guarda el título del cuadro de diálogo al subir una imagen
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared TITULO_DIALOG_IMG As String = MensajeResource("msg_imagen_title")

        ''' <summary>
        ''' Constante que guarda el título del cuadro de diálogo al subir un recorrido
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared TITULO_DIALOG_GPS As String = MensajeResource("msg_recorrido_title")

        ''' <summary>
        ''' Constante que guarda las posibles extensiones de imagenes a subir a la aplicación
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared EXTENSIONES_IMG As String = MensajeResource("msg_imagen_imagenes") _
                                    & "|*.jpg;*.gif;*.png;*.bmp"
        ''' <summary>
        ''' Constante que guarda las posibles extensiones de recorridos a subir a la aplicación
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared EXTENSIONES_GPS As String = MensajeResource("msg_recorrido_recorridos") & "|*.Kml"

#End Region

#Region "Métodos"

        ''' <summary>
        ''' Método que encripta una cadena con el método MD5
        ''' </summary>
        ''' <param name="StrPass">Cadena a encriptar</param>
        ''' <returns>
        ''' Cadena encriptada
        ''' </returns>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Function Encriptar(ByVal StrPass As String) As String
            Dim strPassOutput As String = ""
            Try
                Dim md5 As New MD5CryptoServiceProvider
                Dim bytValue() As Byte = System.Text.Encoding.UTF8.GetBytes(StrPass)
                Dim bytHash() As Byte = md5.ComputeHash(bytValue)

                Dim i As Integer

                md5.Clear()

                For i = 0 To bytHash.Length - 1
                    strPassOutput &= bytHash(i).ToString("x") '.PadLeft(2, "0")
                Next
            Catch ex As Exception
                Throw (ex)
            End Try

            Return strPassOutput
        End Function

        ''' <summary>
        ''' Método que obtiene la sesión actual del sistema
        ''' </summary>
        ''' <returns>
        ''' Objeto USUARIO actualmente logado en el sistema
        ''' </returns>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Function GetSession() As USUARIO
            Try
                Return CType(Application.Current.Properties("usuario"), USUARIO)
            Catch ex As Exception
                Throw (ex)
            End Try
        End Function

        ''' <summary>
        ''' Método que envía un correo electrónico para el reseteo de la contraseña
        ''' </summary>
        ''' <param name="ObjUsuario">Objeto de tipo USUARIO al que se le envía el correo</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Sub EnviarCorreo(ByVal ObjUsuario As USUARIO)
            Try
                Dim mail As New MailMessage
                mail.To.Add(ObjUsuario.DS_EMAIL)
                mail.From = New MailAddress(ConfigurationManager.AppSettings.Item("CORREO_USER"), MensajeResource("label_app"))
                mail.Subject = MensajeResource("label_pass_titulo")
                mail.Body = MensajeResource("label_pass_mail_reset").Replace("%1", ObjUsuario.DS_LOGIN & "_ADM")

                ObjUsuario.DS_PASSWORD = Encriptar(ObjUsuario.DS_LOGIN & "_ADM")
                ObjUsuario.DS_USUMOD = USUARIO_ADM
                Dim objCtrlUsu As New Controlador.ControladorUsuario
                objCtrlUsu.Guardar(ObjUsuario, ObjUsuario.CENTROReference.Value.ID_CENTRO)

                Dim smtp As New SmtpClient(ConfigurationManager.AppSettings.Item("CORREO_SMTP"), CInt(ConfigurationManager.AppSettings.Item("CORREO_PORT")))
                smtp.EnableSsl = True
                Dim cred As New NetworkCredential(ConfigurationManager.AppSettings.Item("CORREO_USER"), ConfigurationManager.AppSettings.Item("CORREO_PASS"))
                smtp.Credentials = cred
                smtp.SendAsync(mail, String.Empty)
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#End Region

    End Class

End Namespace