Imports CrystalDecisions.Shared
Imports CrystalDecisions.CrystalReports.Engine

''' <summary>
''' Clase que genera un PDF a partir de un rpt, en este caso el del dorsal
''' </summary>
''' <remarks>
''' Alberto Morgado Contreras 
''' amorgadoc@uoc.edu
''' 10/06/2013
''' </remarks>
Public Class Report

    ''' <summary>
    ''' Método que genera el PDF del dorsal
    ''' </summary>
    ''' <param name="arrayParametros">Diccionario con los parámetros del informe</param>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 30/05/2013
    ''' </remarks>
    Public Shared Sub CargarInforme(ByVal arrayParametros As Dictionary(Of String, Object))
            Try

            Dim objRpt As New Dorsal
            With objRpt
                .Load()

                If (arrayParametros IsNot Nothing) Then
                    For Each strKey As String In arrayParametros.Keys
                        Dim parameterField As ParameterField = .ParameterFields(strKey)
                        parameterField.CurrentValues.AddValue(arrayParametros(strKey))
                    Next
                End If

            End With

            objRpt.ExportToHttpResponse(ExportFormatType.PortableDocFormat, Web.HttpContext.Current.Response, True, "Dorsal")
        Catch ex As Exception
            Throw (ex)
        End Try

    End Sub

End Class