Imports log4net

Namespace UTIL

    ''' <summary>
    ''' Clase que contiene los mtodos que escriben distintas trazas de log en la aplicacin
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 30/05/2013
    ''' </remarks>
    Public Class Log

        ''' <summary>
        ''' Mtodo que escribe una traza de error en el log 
        ''' </summary>
        ''' <param name="exception">Excepcin a escribir</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Sub LogError(ByVal exception As Exception)
            Dim log As ILog = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType)
            log.Error(exception.Message, exception)
            Throw (exception)
        End Sub

        ''' <summary>
        ''' Mtodo que escribe una traza de alerta en el log 
        ''' </summary>
        ''' <param name="text">Texto a escribir</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Sub LogWarn(ByVal text As String)
            Try
                Dim log As ILog = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType)
                log.Warn(text)
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

        ''' <summary>
        ''' Mtodo que escribe una traza de informacin en el log 
        ''' </summary>
        ''' <param name="text">Texto a escribir</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Sub LogInfo(ByVal text As String)
            Try
                Dim log As ILog = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType)
                log.Info(text)
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

    End Class

End Namespace