Imports System.Security.Cryptography
Imports System.Net.Mail
Imports System.Net

Namespace UTIL

    Public Class Utilidad

#Region "Constantes privadas"

        ''' <summary>
        ''' Constante que guarda el usuario automtico que resetea la contrasea
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared USUARIO_ADM As String = "USU_ADM"

        ''' <summary>
        ''' Constante que guarda el ttulo del cuadro de dilogo al subir un recorrido
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared TITULO_DIALOG_GPS As String = Resources.Messages.msg_recorrido_title

        ''' <summary>
        ''' Constante que guarda las posibles extensiones de recorridos a subir a la aplicacin
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared EXTENSIONES_GPS As String = Resources.Messages.msg_recorrido_recorridos & "|*.Kml"

        ''' <summary>
        ''' Constante que guarda las posibles extensiones de recorridos a subir a la aplicacin
        ''' </summary>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared EXTENSIONES_GPS_ As String = Resources.Messages.msg_recorrido_recorridos & "|application/vnd.google-earth.kml+xml"

#End Region

#Region "Mtodos"

        ''' <summary>
        ''' Mtodo que encripta una cadena con el mtodo MD5
        ''' </summary>
        ''' <param name="StrPass">Cadena a encriptar</param>
        ''' <returns>
        ''' Cadena encriptada
        ''' </returns>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Function Encriptar(ByVal StrPass As String) As String
            Try
                Dim strPassOutput As String = ""
                Try
                    Dim md5 As New MD5CryptoServiceProvider
                    Dim bytValue() As Byte = System.Text.Encoding.UTF8.GetBytes(StrPass)
                    Dim bytHash() As Byte = md5.ComputeHash(bytValue)

                    Dim i As Integer

                    md5.Clear()

                    For i = 0 To bytHash.Length - 1
                        strPassOutput &= bytHash(i).ToString("x") '.PadLeft(2, "0")
                    Next
                Catch ex As Exception
                    Throw (ex)
                End Try

                Return strPassOutput
            Catch ex As Exception
                Throw (ex)
            End Try
        End Function

        ''' <summary>
        ''' Mtodo que enva un correo electrnico para el reseteo de la contrasea
        ''' </summary>
        ''' <param name="strLogin">Cadena con el login que solicita el reseteo</param>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Sub EnviarCorreo(ByVal strLogin As String)
            Try
                Dim db As New dbConnection
                Dim usu As USUARIO = (From p In db.USUARIO Where p.DS_LOGIN = strLogin Select p).FirstOrDefault

                Dim mail As New MailMessage
                mail.To.Add(usu.DS_EMAIL)
                mail.From = New MailAddress(ConfigurationManager.AppSettings.Item("CORREO_USER"), Resources.Messages.label_app)
                mail.Subject = Resources.Messages.label_pass_titulo
                mail.Body = Resources.Messages.label_pass_mail_reset.Replace("%1", usu.DS_LOGIN & "_ADM")

                usu.DS_PASSWORD = Encriptar(usu.DS_LOGIN & "_ADM")
                usu.DS_USUMOD = USUARIO_ADM
                db.SaveChanges()

                Dim smtp As New SmtpClient(ConfigurationManager.AppSettings.Item("CORREO_SMTP"), CInt(ConfigurationManager.AppSettings.Item("CORREO_PORT")))
                smtp.EnableSsl = True
                Dim cred As New NetworkCredential(ConfigurationManager.AppSettings.Item("CORREO_USER"), ConfigurationManager.AppSettings.Item("CORREO_PASS"))
                smtp.Credentials = cred
                smtp.SendAsync(mail, String.Empty)
            Catch ex As Exception
                Throw (ex)
            End Try
        End Sub

#End Region

    End Class

End Namespace