﻿Imports System.Text.RegularExpressions

Namespace UTIL

    ''' <summary>
    ''' Clase que contiene los métodos de validación para los datos que introduce el usuario
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 30/05/2013
    ''' </remarks>
    Public Class Validacion

        ''' <summary>
        ''' Método que realiza la validación en cuanto al formato de una dirección de correo electrónico mediante
        ''' expresiones regulares
        ''' </summary>
        ''' <param name="strDireccion">Cadena que contiene el correo a comprobar</param>
        ''' <returns>
        ''' Booleano que indica si el formato es correcto (True) o no (False)
        ''' </returns>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Function Correo(ByVal strDireccion As String) As Boolean
            If Regex.IsMatch(strDireccion, "^([\w-]+\.)*?[\w-]+@[\w-]+\.([\w-]+\.)*?[\w]+$") Then
                Return True
            Else
                Return False
            End If
        End Function

        ''' <summary>
        ''' Método que realiza la validación de la edad (ha de ser un entero mayor o igual a 5)
        ''' </summary>
        ''' <param name="intEdad">Entero que contiene la edad a comprobar</param>
        ''' <returns>
        ''' Booleano que indica si el formato es correcto (True) o no (False)
        ''' </returns>
        ''' <remarks>
        ''' Alberto Morgado Contreras 
        ''' amorgadoc@uoc.edu
        ''' 30/05/2013
        ''' </remarks>
        Public Shared Function Edad(ByVal intEdad As Integer) As Boolean
            If CInt(intEdad) >= 5 Then
                Return True
            Else
                Return False
            End If
        End Function

    End Class

End Namespace